using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using static APT.MS.Domain.Enums.BI.BIEnums;
 
namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 安全检查情况占比
    /// </summary>
    [Description("安全检查情况占比")]
    public class T_BI_BSCHECKTYPE : MesEntityBase
    {
        /// <summary>
        /// 时间类型
        /// </summary>
        [Description("时间类型")]
        public FilterTimeType TimeType { get; set; }

        /// <summary>
        /// 生产单元类型
        /// </summary>
        [Description("生产单元类型")]
        public BSMineTypeEditEnum MineType { get; set; }

        /// <summary>
        /// 检查类型ID
        /// </summary>
        [Description("检查类型ID")]
        public Guid CHECKTYPEID { get; set; }

        /// <summary>
        /// 检查类型名称
        /// </summary>
        [Description("检查类型名称")]
        public string name { get; set; }


        /// <summary>
        /// 数量（与name对应）
        /// </summary>
        [Description("数量（与name对应）")]
        public string value { get; set; }
    }
}